/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** codeset.h
**
** Creation date: 1.7.2008
** Last modified: 1.7.2008
*/

#ifndef AMIGA_CODESET_H
#define AMIGA_CODESET_H

#if defined(__MORPHOS__)
/* New MorphOS 2.0 calls which are not yet available in the SDK */

#include <proto/keymap.h>
#include <proto/locale.h>

#ifndef WCHAR_TYPEDEF
#define WCHAR_TYPEDEF
typedef int             WCHAR;
#endif

#ifndef UTF8_Encode
#define UTF8_Encode(__p0, __p1) (((ULONG (*)(WCHAR , STRPTR ))*(void**)((long)(LOCALE_BASE_NAME) - 250))(__p0, __p1))
#define UTF8_Decode(__p0, __p1) (((ULONG (*)(CONST_STRPTR , WCHAR *))*(void**)((long)(LOCALE_BASE_NAME) - 244))(__p0, __p1))
#endif

#ifndef ToANSI
#define ToANSI(__p0, __p1) \
	LP2(66, char , ToANSI, \
		WCHAR , __p0, a0, \
		CONST struct KeyMap *, __p1, a1, \
		, KEYMAP_BASE_NAME, 0, 0, 0, 0, 0, 0)
#define ToUCS4(__p0, __p1) \
	LP2(72, WCHAR , ToUCS4, \
		char , __p0, a0, \
		CONST struct KeyMap *, __p1, a1, \
		, KEYMAP_BASE_NAME, 0, 0, 0, 0, 0, 0)
#endif

#endif /* __MORPHOS__ */

#endif /* AMIGA_CODESET_H */
