/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** font.h
**
** Creation date: 13.04.1999
** Last modified: 11.07.2020
*/

#ifndef FONT_H
#define FONT_H

#include <graphics/text.h>

struct FontStyleSpec
{
    UBYTE fss_Style;	// Font style from graphics/text.h.
    bool fss_Shadow;    // MUI shadow style
    bool fss_Outline;   // MUI outline style
    bool fss_Glow;      // MUI glow style
    bool fss_Plain;     // MUI plain style
    LONG fss_FrontColor;// 0xRRGGBB or -1 for default text color.
    LONG fss_BackColor; // 0xRRGGBB or -1 for default background color.
};

void FontInit(void);
void FontExit(void);

void SetBaseFont(struct TextFont *tf);

struct TextFont *FontTextFont(const char *fontspec, struct FontStyleSpec *fss);
/*
** Opens the TextFont given by a fontspec. If fss is not NULL then also fills
** in additional information from the fontspec.
*/

#endif

