/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** ActGroup_mcc.h
**
** Creation date: 16.12.2007
** Last modified: 16.12.2007
**
** ActGroup.mcc is a subclass of Group class.
** It allows to activate the group by mouse click.
*/

#ifndef MUI_ACTGROUP_MCC_H
#define MUI_ACTGROUP_MCC_H

/*
** Attributes and methods for the new class.
** Your tags have to be named MUI(A/M)_<classname>_<foobar>.
** The upper sixteen bits of your tag values need to be
** (TAG_USER | ( <your MUI serial Nr> << 16 ))
** Again, classes with invalid tag specs are promised to
** go on the blacklist. This implies that you have to
** be a registered MUI user if you want to distribute
** public classes.
*/

extern struct IClass *ActGroupClass;

#define TAG_ACTGROUP_BASE (TAG_USER | (140 << 16) | 0x00)

#define ActGroupObject BOOPSIOBJMACRO_START(ActGroupClass)

BOOL ActGroupInit(void);
void ActGroupCleanup(void);

#endif
