/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** PopEditLabels_mcc.h
**
** Creation date: 25.11.96
** Last modified: 16.03.97
**
** PopEditLabels_mcc is a subclass of text class.
** It consits of a button that when pressed pops up
** an EditLabels window for editing labels
*/

#ifndef MUI_POPEDITLABELS_MCC_H
#define MUI_POPEDITLABELS_MCC_H

#include "EditLabels_mcc.h"

/*
** Attributes and methods for the new class.
** Your tags have to be named MUI(A/M)_<classname>_<foobar>.
** The upper sixteen bits of your tag values need to be
** (TAG_USER | ( <your MUI serial Nr> << 16 ))
** Again, classes with invalid tag specs are promised to
** go on the blacklist. This implies that you have to
** be a registered MUI user if you want to distribute
** public classes.
*/

extern struct IClass *PopEditLabelsClass;

#define TAG_POPEDITLABELS_BASE (TAG_USER | (140 << 16) | 0x80)

/* use MUIA_EditLabels_Labels to set and get the labels */

/* for private use only: */
#define MUIM_PopEditLabels_Open         (TAG_POPEDITLABELS_BASE | 0x8)
#define MUIM_PopEditLabels_Close        (TAG_POPEDITLABELS_BASE | 0x9)

struct MUIP_PopEditLabels_Close
{
    ULONG MethodID;
    ULONG pelc_Ok;
};

#define PopEditLabelsObject BOOPSIOBJMACRO_START(PopEditLabelsClass)

BOOL PopEditLabelsInit(void);
void PopEditLabelsCleanup(void);

#endif
