/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** WindowButton_mcc.h
**
** Creation date: 14.05.1997
** Last modified: 11.03.2009
**
** WindowButton.mcc is a subclass of Text class.
*/

#ifndef MUI_WINDOWBUTTON_MCC_H
#define MUI_WINDOWBUTTON_MCC_H

/*
** Attributes and methods for the new class.
** Your tags have to be named MUI(A/M)_<classname>_<foobar>.
** The upper sixteen bits of your tag values need to be
** (TAG_USER | ( <your MUI serial Nr> << 16 ))
** Again, classes with invalid tag specs are promised to
** go on the blacklist. This implies that you have to
** be a registered MUI user if you want to distribute
** public classes.
*/

extern struct IClass *WindowButtonClass;

#define WindowButtonObject BOOPSIOBJMACRO_START(WindowButtonClass)

BOOL WindowButtonInit(void);
void WindowButtonCleanup(void);

#endif
