/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** preparse_mui.h
**
** Creation date: 21.06.2020
** Last modified: 21.06.2020
*/

#ifndef PREPARSE_MUI_H
#define PREPARSE_MUI_H

#include "amiga/font.h"

void PreParseInit(void);
void PreParseExit(void);

const char *PreParseCombine(const struct FontStyleSpec *fss,
		const char *append);
/*
** Creates a string for the given font-style spec and appends the supplied
** preparse string.  The returned string is either the supplied preparse itself
** (font-style spec is not changing anything), or a string owned by this module.
*/

#endif

