/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** recorddescriptionspec_mui.h
**
** Creation date: 24.07.2012
** Last modified: 21.08.2012
*/

#ifndef RECORD_DESCRIPTION_SPEC_MUI_H
#define RECORD_DESCRIPTION_SPEC_MUI_H

#include "display.h"

GuiObject CreateEditRecordDescriptionSpec(struct Table *tab,
        const struct RecordDescriptionSpec *rds, bool allowInherited);
void EditRecordDescriptionSpecAddCallbacks(GuiObject go, GuiObject ok);
void EditRecordDescriptionSpecCleanup(GuiObject go, struct Project *pr);
struct RecordDescriptionSpec *EditRecordDescriptionSpecGetSpec(
        GuiObject go, struct MemPool *memPool);

#endif

