/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** StructureEditor_mui.h
**
** Creation date: 27.11.1996
** Last modified: 06.08.2020
*/

#ifndef STRUCTUREEDITOR_MUI_H
#define STRUCTUREEDITOR_MUI_H

#include "display.h"

GuiObject UserFunctionsPopup(GuiObject string, struct Project *pr);

void HOOK_PROTO(ShortcutAcknowledge, Object *obj, struct DisplayObject **x);

/*
** For tables
*/
void GuiNewTable(Object *se, struct Project *pr, struct DisplayObject *dioparent);
void NewTableFinish(Object *se, struct Table *new);

void GuiChangeTable(Object *se, struct Table *tab);
void ChangeTableFinish(Object *se, struct Table *tab);

/*
** For fields
*/
void GuiNewField(Object *se, struct Table *tab, struct Field *field, 
		     struct DisplayObject *dioparent);
void NewFieldFinish(Object *se, struct Field *new);

void GuiChangeField(Object *se, struct Field *field);
void ChangeFieldFinish(Object *se, struct Field *field);

/*
** For text
*/
void GuiText(Object *se, struct DisplayObject *text);
void TextFinish(Object *se, struct DisplayObject *text);

/*
** For space
*/
void GuiSpace(Object *se, struct DisplayObject *space);
void SpaceFinish(Object *se, struct DisplayObject *space);

/*
** For image
*/
void GuiImage(Object *se, struct DisplayObject *image);
void ImageFinish(Object *se, struct DisplayObject *image);

/*
** For register
*/
void GuiRegister(Object *se, struct DisplayObject *reg);
void RegisterFinish(Object *se, struct DisplayObject *reg);

/*
** For group
*/
void GuiGroup(Object *se, struct DisplayObject *group);
void GroupFinish(Object *se, struct DisplayObject *group);

/*
** For window
*/
void GuiWindow(Object *se, struct DisplayObject *wi);
void WindowFinish(Object *se, struct DisplayObject *wi);

/*
** For DisplayField
*/
void GuiDisplayField(Object *se, struct DisplayObject *dio);
void DisplayFieldFinish(Object *se, struct DisplayObject *dio);

/*
** For DisplayTable
*/
void GuiDisplayTable(Object *se, struct DisplayObject *dio);
void DisplayTableFinish(Object *se, struct DisplayObject *dio);

#endif

