/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** break.h
**
** Creation date: 14.08.1995
** Last modified: 24.10.2020
*/

#ifndef BREAK_H
#define BREAK_H

#include "project.h"

#ifdef __cplusplus
extern "C" {
#endif

struct BreakSettings
{
    const char *title;
    ulong steps;
    ulong current;
    bool abort;
    bool pause;
    bool needGui;
};

void BreakInit(struct BreakSettings *bs);
void BreakExit(const struct BreakSettings *bs);
void BreakHide(void);
void BreakReInit(void);         /* after a hide */
void BreakMessage(const char *str);
void BreakSetMaxSteps(ulong steps);
ulong BreakCurrentSteps(void);
void BreakSetCurrentStep(ulong current);
void BreakAddCurrentStep(long add);
bool BreakCheck(void);

#ifdef __cplusplus
}
#endif

#endif

