/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** filter.h
**
** Creation date: 17.04.1995
** Last modified: 21.07.2020
*/

#ifndef FILTER_H
#define FILTER_H

#include "system.h"

#ifdef __cplusplus
extern "C" {
#endif

struct Table;
struct Field;
struct Program;

void GuiChangeFilter(struct Table *tab);
void SetFilter(struct Table *tab, struct Program *prg);
void FilterOnOff(struct Table *tab, bool on);

void FilterDeleteTable(struct Table *tab);
void FilterDeleteField(struct Field *field);

long LoadFiltersCustomFormat(struct Project *pr, FILE *file);

#ifdef __cplusplus
}
#endif

#endif
