/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** guidosutil.h
**
** help routines for dos with user interaction
**
** Creation date: 03.10.2006
** Last modified: 01.08.2017
*/

#ifndef GUI_DOS_UTIL_H
#define GUI_DOS_UTIL_H

#include "system.h"

#ifdef __cplusplus
extern "C" {
#endif

bool GuiSystem(const char *cmd, bool bg, bool useShell, int *prc);
/*
** Calls external program and allows to interrupt using the break window
*/

bool GuiViewFile(const char *filename, bool bg);
/*
** Starts external viewer with the given filename.  Returns TRUE on success.
*/

bool GuiEditFile(const char *filename, bool bg);
/*
** Starts external editor with the given filename (using GuiSystem).
** Returns TRUE on success.
*/

void GuiObjectViewFile(GuiObject go);
void GuiObjectEditFile(GuiObject go);
/*
** Uses the string contents as filename and calls above functions
*/

#ifdef __cplusplus
}
#endif

#endif

