/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** idrecordmap.h
**
** Creation date: 12.08.2020
** Last modified: 14.08.2020
*/

#ifndef IDRECORDMAP_H
#define IDRECORDMAP_H

#include "system.h"

struct IdRecordMap;

#ifdef __cplusplus
extern "C" {
#endif

struct IdRecordMap *AllocIdRecordMap(struct MemPool *memPool);
void FreeIdRecordMap(struct MemPool *memPool, struct IdRecordMap *map);

struct Record *RecordFromId(const struct IdRecordMap *map, ulong id);

bool IdRecordMapSet(struct MemPool *memPool, struct IdRecordMap *map,
        struct List *recs);
void IdRecordMapUpdateIds(struct IdRecordMap *map);
bool IdRecordMapReserveEntry(struct MemPool *memPool, struct IdRecordMap *map);
bool IdRecordMapPushEntry(struct IdRecordMap *map, struct Record *rec);
void IdRecordMapRemove(struct  IdRecordMap *map, ulong id);

#ifdef __cplusplus
}
#endif

#endif

