/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** imexport.h
**
** Creation date: 20.03.1997
** Last modified: 12.01.2014
*/

#ifndef IMEXPORT_H
#define IMEXPORT_H

#include "table.h"

#ifdef __cplusplus
extern "C" {
#endif

void GuiImportRecords(struct Table *tab);
void GuiApplyChanges(struct Project *pr);
void GuiExportRecords(struct Table *tab);
void GuiExportSFWList(struct Project *pr, GuiObject sfw);

/* internal use only */

bool ImportRecords(struct Table *tab, bool replaceRecords, const char *filename,
        char recdel, char fielddel, bool doubleQuotes);
bool ImportApplyChanges(struct Project *pr, const char *filename,
        char recdel, char fielddel, bool doubleQuotes);
bool ExportRecords(struct Table *tab, bool filter, const char *filename,
        char recdel, char fielddel, bool doubleQuotes);
bool ExportSFWList(struct Project *pr, GuiObject sfw, const char *filename,
        char recdel, char fielddel, bool doubleQuotes);

#ifdef __cplusplus
}
#endif

#endif

