/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** main.c
**
** Creation date: 07.09.1994
** Last modified: 08.06.2010
*/

#ifndef MAIN_H
#define MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

#include "system.h"

extern bool debug;
extern struct List ProjectList;
extern long OSVersion, OSRevision;

/*
** for shutting down
*/
void fail(const char *error, int exitCode);

/*
** for making custom main function (wxWindows)
*/
void mainUsage(void);			/* prints usage text */
bool mainReallyQuit(void);		/* returns TRUE if ok to quit */
bool mainInit(int *pargc, char **argv);	/* returns TRUE if init was ok */
void mainExit(void);			/* cleanup */

#ifdef __cplusplus
}
#endif

#endif

