/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** memory.h
**
** Creation date: 24.12.1994
** Last modified: 23.01.2009
*/

#ifndef MEMORY_H
#define MEMORY_H

#include "system.h"

#ifdef __cplusplus
extern "C" {
#endif

char *AllocString(struct MemPool *memPool, const char *orig);
char *AllocStringN(struct MemPool *memPool, const char *orig, size_t maxlen);
void FreeString(struct MemPool *memPool, char *string);
void *PoolReAllocMem(struct MemPool *memPool, void *mem,
        size_t oldsize, size_t newsize);

void PoolFreeMem(struct MemPool *memPool, void *ptr, size_t size);
void *PoolAllocMem(struct MemPool *memPool, size_t size);
void *PoolAllocMemZero(struct MemPool *memPool, size_t size);

#ifdef __cplusplus
}
#endif

#endif

