/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menulog.h
**
** Functions for menu items in menu Log
**
** Creation date: 04.05.2012
** Last modified: 29.10.2020
*/

#ifdef __cplusplus
extern "C" {
#endif

void MenuLogActive(struct Project *pr, ulong active);
bool MenuLogModeInit(struct Project *pr, ulong item);
void MenuLogMode(struct Project *pr, ulong mode);
void MenuLogSetFile(struct Project *pr);
void MenuLogSetLabel(struct Project *pr);
void MenuLogImport(struct Project *pr);
void MenuLogExport(struct Project *pr);
void MenuLogClear(struct Project *pr);
void MenuLogApplyChanges(struct Project *pr);
void MenuLogView(struct Project *pr);

#ifdef __cplusplus
}
#endif

