/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menuprefs.h
**
** Functions for menu items in menu Preferences
**
** Creation date: 24.02.1996
** Last modified: 22.08.2020
*/

#ifndef MENU_PREFS_H
#define MENU_PREFS_H

#include "project.h"

#ifdef __cplusplus
extern "C" {
#endif

void MenuPrefsSetFormats(struct Project *pr);
void MenuPrefsSetExternalEditor(struct Project *pr);
#ifdef USE_EXTERNALVIEWER
void MenuPrefsSetExternalViewer(struct Project *pr);
#endif
void MenuPrefsExtraButtonsInTabChain(struct Project *pr, ulong checked);
void MenuPrefsAdvanceOnEnter(struct Project *pr, ulong checked);
void MenuPrefsConfirmQuit(struct Project *pr, ulong checked);

void MenuPrefsConfirmDeleteRecord(struct Project *pr, ulong checked);
void MenuPrefsPathsRelativeToProject(struct Project *pr, ulong checked);
void MenuPrefsConfirmAutoReload(struct Project *pr, ulong checked);
void MenuPrefsConfirmSaveReorg(struct Project *pr, ulong checked);
void MenuPrefsVacuumAfterReorg(struct Project *pr, ulong checked);
void MenuPrefsSaveAsDefault(struct Project *pr);

#ifdef __cplusplus
}
#endif
#endif

