/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menuprogram.h
**
** Functions for menu items in menu Program
**
** Creation date: 15.07.1995
** Last modified: 14.11.2008
*/

#ifdef __cplusplus
extern "C" {
#endif

void ProjectCleanupExternalSource(struct Project *pr);

void MenuProgramEdit(struct Project *pr);
bool MenuProgramCompile(struct Project *pr, ulong reload); /* returns FALSE on failure */
void MenuProgramSource(struct Project *pr, ulong type);
void MenuProgramCleanupExternalSource(struct Project *pr, ulong checked);
void MenuProgramDebugInfo(struct Project *pr, ulong checked);
void MenuProgramObsoleteFunctions(struct Project *pr, ulong set);
void MenuProgramSortTriggerFunctions(struct Project *pr, ulong checked);
void MenuProgramIncludeDir(struct Project *pr);
void MenuProgramOutput(struct Project *pr);
void MenuProgramQueryEditor(struct Project *pr);

#ifdef __cplusplus
}
#endif

