/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menuproject.h
**
** Creation date: 23.12.1994
** Last modified: 05.07.2020
*/

#include "system.h"		/* for ulong */

#ifdef __cplusplus
extern "C" {
#endif

bool ProjectReallyContinue(struct Project *pr);

void MenuProjectInfo(struct Project *pr);
void MenuProjectClear(struct Project *pr);
void MenuProjectClearRecords(struct Project *pr);
struct Project *MenuProjectNew(struct Project *pr, ulong show);
void MenuProjectOpen(struct Project *pr, const char *pathname);
void MenuProjectOpenDemo(struct Project *pr);
void MenuProjectSave(struct Project *pr, ulong reorg);
void MenuProjectSaveAs(struct Project *pr);
void MenuProjectRevertToSaved(struct Project *pr);
void MenuProjectClose(struct Project *pr);
void MenuProjectSaveClose(struct Project *pr);
void MenuProjectAdminMode(struct Project *pr);
void MenuProjectChangeAdminPassword(struct Project *pr);
void MenuProjectCheckDataIntegrity(struct Project *pr);
void MenuProjectSwapRecords(struct Project *pr);
void MenuProjectExportStructure(struct Project *pr);
void MenuProjectQuit(void);

#ifdef __cplusplus
}
#endif
