/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menutable.h
**
** Functions for menu items in menu Table
**
** Creation date: 19.03.1995
** Last modified: 29.01.2013
*/

#ifdef __cplusplus
extern "C" {
#endif

#include "project.h"

void MenuTableNewRecord(struct Project *pr, ulong duplicate, GuiObject win);
void MenuTableDeleteRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableDeleteAllRecords(struct Project *pr, ulong dummy, GuiObject win);

void MenuTableImportRecords(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableExportRecords(struct Project *pr, ulong dummy, GuiObject win);

void MenuTablePrevRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableNextRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableFirstRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableLastRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableJumpBackwardRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableJumpForwardRecord(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableJumpToRecord(struct Project *pr, ulong dummy, GuiObject win);

void MenuTableChangeFilter(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableChangeOrder(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableReorderAllRecords(struct Project *pr, ulong dummy, GuiObject win);

void MenuTableSearchFor(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableSearchForward(struct Project *pr, ulong dummy, GuiObject win);
void MenuTableSearchBackward(struct Project *pr, ulong dummy, GuiObject win);

void MenuTableViewAllRecords(struct Project *pr, ulong dummy, GuiObject win);

#ifdef __cplusplus
}
#endif
