/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** status.h
**
** Creation date: 23.07.1995
** Last modified: 27.10.2020
*/

#ifdef __cplusplus
extern "C" {
#endif

/*
** Status flags
*/
#define STATUS_ACTIVE (1<<0)
#define STATUS_STRUCTUREEDITOR (1<<1)
#define STATUS_WORK (1<<2)
#define STATUS_ACTIVETABLE (1<<3)
#define STATUS_ACTIVEREFERENCE (1<<4)
#define STATUS_ACTIVEEDITOR (1<<5)
#define STATUS_HASFILTER (1<<6)
#define STATUS_HASARROWS (1<<7)
#define STATUS_NONEMPTY (1<<8)
#define STATUS_ADMIN (1<<9)
/* #define STATUS_PROGRAM (1<<10)
        this is annoying when virtual fields are present */
#define STATUS_HASCHANGES (1<<11)
#define STATUS_HASLOG (1<<12)
#define STATUS_NEVER 0xffffffff

ulong GetStatus(GuiObject win);

#ifdef __cplusplus
}
#endif
