/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** types.h
**
** Creation date: 07.09.1994
** Last modified: 13.06.2022
*/

#ifndef	TYPES_H
#define	TYPES_H

#ifdef __GNUC__
#include <sys/types.h>
#endif

#if (!defined AMIGA) || \
	(defined __amigaos4__) || (defined __MORPHOS__)|| (defined __AROS__) \
        || ((defined __GNUC__) && (__GNUC__ > 3))
#include <stdint.h>
#else
/* Older versions of GCC for m68k-amigaos do not have stdint.h */
typedef signed long intptr_t;
#endif

#ifndef __cplusplus
typedef char bool;
#endif        

typedef unsigned char	uchar;      /* unsigned  8-bit quantity */

#if (!defined UNIX) || (!defined __USE_MISC)
#if (!defined __GNUC__) || (__GNUC__ >= 3)
typedef unsigned short ushort;
#endif
typedef unsigned long  ulong;
#endif

#ifndef TRUE
#define TRUE		1
#endif
#ifndef FALSE
#define FALSE		0
#endif

#endif	/* TYPES_H */

