/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** mempool.h
**
** Creation date: 22.11.1996
** Last modified: 31.03.2000
*/

#ifndef MEMPOOL_H
#define MEMPOOL_H

#ifdef __cplusplus
extern "C" {
#endif

struct MemPool;

#ifdef AMIGA
APTR
#else
struct MemPool *
#endif
CreatePool(ulong requirements, ulong puddleSize, ulong threshSize);
void DeletePool(struct MemPool *memPool);

void *AllocPooled(struct MemPool *memPool, ulong memSize);
void FreePooled(struct MemPool *memPool, void *memory, ulong memSize);

#ifdef __cplusplus
}
#endif

#endif

