/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** gtkradiobox.h
**
** a group of radio buttons
**
** Creation date: 12.12.2004
** Last modified: 12.12.2004
*/

#ifndef GTK_RADIO_BOX_H
#define GTK_RADIO_BOX_H

#include "gtkgroup.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_RADIO_BOX	(gtk_radio_box_get_type ())
#define GTK_RADIO_BOX(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), \
	    GTK_TYPE_RADIO_BOX, GtkRadioBox))
#define GTK_RADIO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), \
	    GTK_TYPE_RADIO_BOX, GtkRadioBoxClass))
#define GTK_IS_RADIO_BOX(obj) 	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	    GTK_TYPE_RADIO_BOX))
#define GTK_IS_RADIO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), \
	    GTK_TYPE_RADIO_BOX))
#define GTK_RADIO_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), \
	    GTK_TYPE_RADIO_BOX, GtkRadioBoxClass))

typedef struct _GtkRadioBox      GtkRadioBox;
typedef struct _GtkRadioBoxClass GtkRadioBoxClass;

struct _GtkRadioBox
{
  GtkGroup group;
};

struct _GtkRadioBoxClass
{
  GtkGroupClass parent_class;
  void (*active_changed)(GtkRadioBox *box, gint active, gpointer data);
};

GType	   gtk_radio_box_get_type     (void) G_GNUC_CONST;
GtkWidget* gtk_radio_box_new	      (void);
void       gtk_radio_box_set_entries  (GtkRadioBox 	*box,
	                               char            **entries);
gboolean   gtk_radio_box_set_active   (GtkRadioBox  	*box,
	                               gint              active);
gint       gtk_radio_box_get_active   (GtkRadioBox      *box);

#ifdef __cplusplus
}
#endif

#endif

