//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkBuildGui.h
//
// Creation date: 23.03.2004
// Last modified: 16.07.2020
//

#ifndef GTK_BUILD_GUI_H
#define GTK_BUILD_GUI_H

struct DisplayObject;

#include "gtk/classes/gtkgroup.h"

gboolean OnExtraButtonFocus(GtkWidget *widget, GtkDirectionType type,
	DisplayObject *dio);
GtkWidget *BuildGuiIconLabelButton(const gchar *stock,
	const char *title, char shortcut, gfloat xalign);

void BuildGuiAddCommon(DisplayObject *dio, GtkWidget *widget);
void BuildGuiSetBackground(DisplayObject *dio, GtkWidget *widget);
void BuildGuiSetBackgroundSpec(struct DisplayObject *dio,
        const char *spec, GtkWidget *widget);
void BuildGuiSetFontname(const char *fontname, GtkWidget *widget);
void BuildGuiSetFont(DisplayObject *dio, GtkWidget *widget);

void BuildGuiFinishColGroup(GtkGroup **colGroup);

bool BuildGuiChilds(struct List *childs, bool hideLabel, 
        GtkGroup *group, GtkGroup **colGroup);

#endif


