//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkBuildGuiField.h
//
// Creation date: 05.04.2004
// Last modified: 27.12.2004
//

#ifndef GTK_BUILD_GUI_FIELD_H
#define GTK_BUILD_GUI_FIELD_H

struct DisplayObject;

#include "gtk/classes/gtkgroup.h"
#include "gtk/classes/gtksfwview.h"

bool BuildGuiFieldLabel(DisplayObject *dio, GtkGroup *parent);

void SFWViewOnRowActivated(GtkSFWView *sfw,
	GtkTreePath *path, GtkTreeViewColumn *column, DisplayObject *dio);

bool BuildGuiField(DisplayObject *dio, bool hideLabel, 
	GtkGroup *parent, GtkGroup **colGroup);
void GuiFieldStoreEdits();

#endif

