//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkMenus.h
//
// Creation date: 29.03.2004
// Last modified: 25.12.2012
//

#ifndef GTK_MENUS_H
#define GTK_MENUS_H

#include <gtk/gtk.h>

void GuiMenuInit(void);
void GuiMenuExit(void);

/*
** Add menus to a window.
** If main is TRUE or if the gtk shell shows menubars (global menu) 
** then a menu bar is created and placed at top.
** Otherwise only keyboard accelerators are set.
*/
void GuiWindowAddMenus(GtkWidget *win, GtkWidget *group, bool main);

/*
** Popup the table menu
*/
void PopupTableMenu(GtkWidget *tableObject);

#endif

