//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkQuickSearch.h
//
// Interactive global quick search popup-window
//
// Creation date: 01.10.2006
// Last modified: 14.11.2009
//

#ifndef GTK_QUICK_SEARCH_H
#define GTK_QUICK_SEARCH_H

#include <system.h>
#include <gtk/gtk.h>

enum QuickSearchCommand {
    QUICK_SEARCH_SETUP, 
    QUICK_SEARCH_START, QUICK_SEARCH_PREV, QUICK_SEARCH_NEXT, 
    QUICK_SEARCH_COMMIT, QUICK_SEARCH_CANCEL
};

typedef void (*QuickSearchCallback)(GuiObject, const char *s, int cmd, void *p);

bool GuiQuickSearchInit(GuiObject go, GdkEventKey *event, 
	QuickSearchCallback cb, void *ptr);
void GuiQuickSearchExit();

#endif

