//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkStructureEditor.h
//
// Creation date: 03.01.2005
// Last modified: 10.08.2012
//

#ifndef GTK_STRUCTURE_EDITOR_H
#define GTK_STRUCTURE_EDITOR_H

#include "system.h"
#include "table.h"

struct StructureEditorData;

GuiObject UserFunctionsPopup(GuiObject entry, Project *pr);

void NewTableFinish(StructureEditorData *d, struct Table *tab);
void ChangeTableFinish(StructureEditorData *d, Table *tab);

void NewFieldFinish(StructureEditorData *d, Field *field);
void ChangeFieldFinish(StructureEditorData *d, Field *field);

void PanelFinish(StructureEditorData *d, DisplayObject *panel);
void TextFinish(StructureEditorData *d, DisplayObject *dio);
void SpaceFinish(StructureEditorData *d, DisplayObject *dio);
void ImageFinish(StructureEditorData *d, DisplayObject *dio); 
void RegisterFinish(StructureEditorData *sed, DisplayObject *reg); 
void GroupFinish(StructureEditorData *sed, DisplayObject *group); 
void WindowFinish(StructureEditorData *sed, DisplayObject *window); 
void DisplayTableFinish(StructureEditorData *d, DisplayObject *dio);
void DisplayFieldFinish(StructureEditorData *d, DisplayObject *dio);

#endif

