/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** func.h
**
** Creation date: 23.04.1995
** Last modified: 18.12.2009
*/

#ifndef LANG_FUNC_H
#define LANG_FUNC_H

struct Element;

void PopAndPushNil(short numArgs);
void ProgNot(short numArgs);
void ProgAdd(short numArgs);
void ProgSub(short numArgs);

void ProgProgN(short numArgs);
void ProgProg1(short numArgs);

void ProgString(short numArgs);
void ProgMemo(short numArgs);
void ProgInteger(short numArgs);
void ProgReal(short numArgs);
void ProgDate(short numArgs);
void ProgTime(short numArgs);

void ProgStrP(short numArgs);
void ProgMemoP(short numArgs);
void ProgIntP(short numArgs);
void ProgRealP(short numArgs);
void ProgDateP(short numArgs);
void ProgTimeP(short numArgs);
void ProgRecP(short numArgs);
void ProgNull(short numArgs);
void ProgListP(short numArgs);
void ProgConsP(short numArgs);

void ProgGC(short numArgs);

void ProgSystem(short numArgs);
void ProgSystemStar(short numArgs);
void ProgEdit(short numArgs);
void ProgEditStar(short numArgs);
void ProgView(short numArgs);
void ProgViewStar(short numArgs);

void ProgStat(short numArgs);

void ProgHalt(short numArgs);
void ProgError(short numArgs);
void ProgMessage(short numArgs);
void ProgCompleteMax(short numArgs);
void ProgCompleteAdd(short numArgs);
void ProgComplete(short numArgs);

void ProgCallFunctionElement(struct Element *elem, short numArgs, bool sync);
void ProgFunCall(short numArgs);
void ProgApply(short numArgs);

void ProgObsoleteFunction(short numArgs);

#endif

