/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funccmp.h
**
** Creation date: 28.04.1995
** Last modified: 18.06.2015
*/

/*
** Compares two elements.
** Returns a value
**      < 0     , if elem1 < elem2,
**      = 0     , if elem1 = elem2,
**      > 0     , if elem1 > elem2.
** star decides the comparison method for strings (case sensitive/insensitive)
** and records (user defined order).
** order decides if the comparison is an order compare (e.g. <, >, ...)
** or if it is a simple comparison (=, <>)
**
*/
long ProgElementCmp(struct Element *elem1, struct Element *elem2, 
		    bool star, bool order);

void ProgEq(short numArgs);
void ProgNe(short numArgs);
void ProgGt(short numArgs);
void ProgLt(short numArgs);
void ProgGe(short numArgs);
void ProgLe(short numArgs);
void ProgEqStar(short numArgs);
void ProgNeStar(short numArgs);
void ProgGtStar(short numArgs);
void ProgLtStar(short numArgs);
void ProgGeStar(short numArgs);
void ProgLeStar(short numArgs);
void ProgCmp(short numArgs);
void ProgCmpStar(short numArgs);
void ProgMin(short numArgs);
void ProgMinStar(short numArgs);
void ProgMax(short numArgs);
void ProgMaxStar(short numArgs);
