/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcprintf.h     string formatting
**
** Creation date: 13.12.95
** Last modified: 17.01.97
*/

#ifndef FUNCPRINTF_H
#define FUNCPRINTF_H

struct FuncInfo;
struct AppArgs;

const char *CheckPrintF(struct FuncInfo *fi, struct AppArgs *aa);
/*
** Check function for printf formatting.
*/

void ProgSPrintF(short numArgs);
/*
** Generates string from format string with arguments.
*/

void ProgPrintF(short numArgs);
/*
** Prints formatted string to stdout,
** pushes number of written characters on success, NIL otherwise.
*/

void ProgFPrintF(short numArgs);
/*
** Prints formatted string to file handle,
** pushes number of written characters on success, NIL otherwise.
*/

void ProgPrint(short numArgs);
/*
** Prints element in human readable way
*/

#endif

