/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcsfw.h
**
** Creation date: 21.05.1995
** Last modified: 16.08.2020
*/

#ifndef FUNCSFW_H
#define FUNCSFW_H

#include "programbin_impl.h"

struct SFWSelectItem
{
    struct SubProgram sfwsi_Expr;
    const char *sfwsi_Title;
    const char *sfwsi_LocalName;
    struct RelFieldPath sfwsi_RelFieldPath;
};

struct SFWFromItem
{
    struct Table *sfwfi_Table;
    short sfwfi_VarNum;
    bool sfwfi_Filter;
    struct Field *sfwfi_ReferenceField;
    struct SubProgram sfwfi_ReferenceExpr;
};

struct SFWOrderItem
{
    struct SubProgram sfwoi_Order;
    char sfwoi_Mode;
};

void SelectFromWhere(bool distinct, 
	short numSelectItems, struct SFWSelectItem *sfwsis,
	short numFromItems, struct SFWFromItem *sfwfis,
	struct SubProgram *where,
	short numOrderItems, struct SFWOrderItem *sfwois,
	bool isselect);

bool sfwSetNextRecords(void);
/*
** Sets next records
*/

#endif

