/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** global.h
**
** Creation date: 14.01.96
** Last modified: 29.01.96
*/

#ifndef GLOBAL_H
#define GLOBAL_H

const char *BuildLocalIdentList(struct MemPool *memPool, 
        struct LocalIdent **defList);
/*
** builds list of LocalIdent items (returned in defList)
** that contains all global variables. (*defList may be NULL
** in case of no global variables).
** Returns NULL on success or an error string.
*/

void PushGlobalVars(void);
/*
** pushes global variables on stack
*/

struct Element *GetGlobalVar(char *name);
/*
** Returns current binding of global variable.
** Aborts execution if global variable doesn't exist.
*/

#endif

