//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtExtApplication.h
//
// Creation date: 23.05.2010
// Last modified: 08.03.2022
//

#ifndef QT_EXT_APPLICATION_H
#define QT_EXT_APPLICATION_H

#include <QApplication>

class ExtApplication : public QApplication
{
    Q_OBJECT
        
public:
    ExtApplication(int &argc, char **argv);
    
    virtual bool notify(QObject *receiver, QEvent *event);
    
private slots:
    void interrupt();
    void update();
    void onFocusChanged(QWidget *old, QWidget *now);
    bool event(QEvent *event);
    
private:
    QThread *thread_;
    int notifyDepth_;
    QList<QString> filesToOpen_;
};

#endif

