//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtpopeditlabels.h
//
// A button that when pressed pops up
// an EditLabels window for editing labels
//
// Creation data: 09.04.2016
// Last modified: 24.04.2016
//

#ifndef QT_POP_EDIT_LABELS_H
#define QT_POP_EDIT_LABELS_H

#include <QByteArray>
#include <QPushButton>
#include <QVector>

class EditLabelsDialog;

class PopEditLabels : public QPushButton
{
    Q_OBJECT

public:
    PopEditLabels(QWidget *parent);

    char **labels();
    void setLabels(char **labels);

signals:
    void updated(char **labels);

protected:
    friend class EditLabelsDialog;
    virtual bool acceptLabels(char **labels);

private:
    QVector<char *>labels_;
    QVector<QByteArray> byteArrays_;
    EditLabelsDialog *dialog_;

private slots:
    void updateLabels();
    void openPopup();
    void activate();
};

#endif

