//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
//  qtAmiFileDialog.h
//
//  Qt interface for choosing files and directories with pathnames
//  compatible to Amiga OS.
//
//  Creation date: 05.06.2010
//  Last modified: 05.06.2010
// 

#ifndef QT_AMI_FILE_DIALOG
#define QT_AMI_FILE_DIALOG

#include "system.h"
#include <QFileDialog>

class AmiFileDialog : public QFileDialog
{
public:
    AmiFileDialog(QWidget *parent, const QString &title = QString(), 
                  const QString &ok = QString(), const QString &path = QString(), 
                  bool dirMode = false, bool saveMode = false);
    
    void selectFile(const QString &filename);
    QStringList selectedFiles() const;
    
    static QString get(QWidget *parent, const QString &title, const QString &ok, const QString &path, 
                       bool dirMode, bool saveMode);
    
private:
    QString assignName_;
    QString assignPath_;
};

#endif

