//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtBuildGuiField.h
//
// Creation date: 05.06.2010
// Last modified: 12.04.2015
//

#ifndef QT_BUILD_GUI_FIELD_H
#define QT_BUILD_GUI_FIELD_H

#include "display.h"
#include "qt/classes/qtGroupLayout.h"
#include "qt/classes/qtSFWView.h"
#include <QWidget>

bool BuildGuiFieldLabel(DisplayObject *dio, QWidget *parent,
        GroupLayout *group);

void SFWViewOnRowActivated(SFWView *sfwView, const QModelIndex &index, DisplayObject *dio);

bool BuildGuiField(DisplayObject *dio, bool hideLabel, QWidget *parent, 
        GroupLayout *group, GroupLayout **colgroup);

void GuiFieldStoreEdits();

#endif

