//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtEditRecordDescriptionSpec.h
//
// Creation date: 16.03.2016
// Last modified: 16.03.2016
//

#ifndef QT_EDIT_RECORD_DESCRIPTION_SPEC_H
#define QT_EDIT_RECORD_DESCRIPTION_SPEC_H

#include "system.h"

#ifdef ENABLE_STRUCTURE_EDITOR

#include "display.h"
#include <QCheckBox>
#include <QComboBox>
#include <QStackedLayout>

class EditRecordDescriptionSpec : public QWidget
{
    Q_OBJECT

public:
    EditRecordDescriptionSpec(Table *tab, const RecordDescriptionSpec *rds,
            bool allowInherited, QWidget *parent);

    RecordDescriptionSpec *getSpec(MemPool *memPool);

private:
    class FieldListModel;

    QComboBox *type_;
    QStackedLayout *stack_;
    QLineEdit *computeStr_;
    FieldListModel *fieldList_;
    QCheckBox *multiColumn_;

private slots:
    void onTypeChanged(int type);
};

#endif

#endif

