//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtMenus.h
//
// Creation date: 19.05.2010
// Last modified: 12.06.2010
//

#ifndef QT_MENUS_H
#define QT_MENUS_H

#include "system.h"
#include <QMainWindow>

void GuiMenuInit(void);
void GuiMenuExit(void);

extern QMenu *TableMenu;

#ifndef MACOSX
/*
** Add menus to a window.
** If show is FALSE only the menu shortcuts are installed
** but no actual menubar is shown.
*/
void GuiWindowAddMenus(QMainWindow *win, bool show);
#endif

/*
** Popup the table menu
*/
void PopupTableMenu(QWidget *tableObject);

#endif

