//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtUtil.h
//
// Creation date: 27.02.2017
// Last modified: 06.05.2020
//

#ifndef QT_PRINT_H
#define QT_PRINT_H

#include <system.h>
#include <QFont>
#include <QPagedPaintDevice>

const char *SFWViewPrint(GuiObject sfw, QPagedPaintDevice *pager, QFont *font,
        const QString &header, const QString &footer);
// Prints a Select-from-where object on the given printer.

const char *SFWViewPrinterStats(GuiObject sfw, QPagedPaintDevice *pager,
        QFont *font, const QString &header, const QString &footer,
        long *pages, long *truncated);
// Obtains number of pages and truncated points (width) of a Select-from-where 
// object with optional header and footer per page.

#endif
