/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** foo.cc
**
** Creation date: 22.12.2001
** Last modified: 08.11.2008
*/

#include "system.h"
#include "menu.h"
#include "preferences.h"
#include "setformats.h"
#include "requesters.h"
#include "programeditor.h"
#include "queryeditor.h"
#include "structureeditor.h"
#include "programeditor.h"
#include "programoutput.h"
#include "buildgui.h"
#include "order.h"
#include "filter.h"
#include "search.h"
#include "imexport.h"
#include "break.h"
#include "dosutil.h"
#include "util.h"

char DefaultRealFormat = FORMAT_DECIMALPOINT;
char DefaultDateFormat = FORMAT_DAYMONTHYEAR;

void CloseGui(void) 
{
}

const char *OpenGui(int *pargc, char **argv)
{
    return 0;
}

void GuiPrefsUpdated(void) {}

void GuiBeep(void) {}

void GuiAbout() { nyi(GuiAbout); }

void GuiSendQuitMessage(void) 
{
}

ulong GuiSleep(void) { return 0; }
void GuiSetSleep(bool sleep) {}
void GuiSetProjectSleep(struct Project *pr, bool sleep) {}

char *GuiEditorText(GuiObject go, struct MemPool *memPool) { return 0; }
void GuiSetEditorText(GuiObject go, const char *str) {}
void GuiSetEditorChanged(GuiObject edit, bool changed) {}
void GuiSetRegisterPage(GuiObject go, long pos) {}
long GuiRegisterActivePage(GuiObject go) { return 0; }

bool GuiOpenWindow(GuiObject wi) { return FALSE; }
void GuiCloseWindow(GuiObject wi) {}

short GuiObjectWeight(GuiObject obj, bool horiz) { return 100; }
struct WindowDimensions *GuiWindowDimensions(GuiObject go)
{ return 0; }
bool GuiGetWindowDimensions(GuiObject win, struct WindowDimensions *wd) { return false; }

GuiObject GuiActiveWindow(void) { return NULL; }
GuiObject GuiActiveObject(GuiObject wi) { return NULL; }
bool GuiIsEditorObject(GuiObject go) { return FALSE; }
void GuiSetSelected(GuiObject go, bool selected) {}
void GuiSetDisabled(GuiObject go, bool disabled) {}
const char *GuiStringContents(GuiObject go) { return ""; }
const char *GuiObjectText(GuiObject go) { return ""; }

bool GuiWindowOpen(GuiObject wi) { return FALSE; }
void GuiActivateWindow(GuiObject wi) {}
void GuiWindowToFront(GuiObject wi) {}
void GuiSetActiveGuiObject(GuiObject wi, GuiObject go) {}
void GuiSetWindowTitle(GuiObject wi, const char *title) {}

void GuiStoreEdits(void) {}
void GuiMainLoop(bool (*reallyQuit)(void)) {}
bool GuiMainLoopIteration(void) { return FALSE; }

void GuiShowHelp(const char *section) {}

void GuiSetNumAll(GuiObject go, ulong num, ulong all) {}
void GuiSetString(GuiObject go, const char *str, bool readonly, 
	GuiObject external) {}
void GuiSetBoolean(GuiObject go, bool value, bool readonly) {}
void GuiSetChoice(GuiObject go, unsigned short value, char **labels,
        bool readonly) {}
void GuiSetMemo(GuiObject go, const char *str, bool readonly) {}
void GuiSetSFWList(GuiObject go, const struct Element *elem) {}

struct Project *GuiWindowProject(GuiObject go) { return NULL; }
struct DisplayObject *GuiObjectDisplayObject(GuiObject go) { return 0; }

void GuiListSetActive(GuiObject go, long num) {}
long GuiListActive(GuiObject go) { return -1; }

void *GuiListActiveEntry(GuiObject tree) { return NULL; }
void *GuiListNthEntry(GuiObject lv, long num) { return NULL; }
long GuiListFindNode(GuiObject tree, void *node) { return -1; }

/* other modules */

char *GetFilename(struct Project *pr, struct MemPool *memPool,
        const char *title, const char *oktext,
        const char *pref, long prefitem, bool save_mode)
{ return NULL; }

char *GetDirname(struct Project *pr, struct MemPool *memPool,
        const char *title, const char *oktext,
        const char *pref, long prefitem, bool save_mode)
{ return NULL; }

short Ask(AskType type, const char *buttons, const char *text, ...)
{
    return 0; 
}

short Ask2(GuiObject wi, const char *title, AskType type,
	const char *buttons, const char *text, ...)
{
    return 0;
}

const char *AskString(struct Project *pr, const char *title, const char *oktext,
	const char *contents, ulong maxlen, AskStringType type)
{
    return 0;
}

bool AskInteger(struct Project *pr, const char *title, const char *oktext,
	const char *contents, long min, long max, long *result)
{
    return FALSE;
}

void CloseStructureEditor(GuiObject se) {}
void StructureEditorUpdate(GuiObject se) {}
GuiObject OpenStructureEditor(Project *pr) { return 0; }
void ClearStructureEditor(GuiObject se) {}

bool SameFile(char *filename1, char *filename2) { return FALSE; }

FILE *FOpen(const char *filename, const char *mode) { return NULL; }
int MkDir(const char *dirname) { return -1; }
int RmDir(const char *dirname) { return -1; }
int RmFile(const char *filename) { return -1; }
int RenamePath(const char *oldpath, const char *newpath) { return -1; }

int PushDir(const char *dirname, Cwd *cwd) { return -1; }
int PopDir(Cwd *cwd) { return -1; }

Dir *DirOpen(const char *dirname) { return NULL; }
const char *DirReadName(Dir *dir) { return NULL; }
void DirClose(Dir *dir) {}

struct QueryEditor;
struct QueryGui;
void CloseQueryGui(GuiObject q) {}
GuiObject OpenQueryGui(struct QueryEditor *se) { return 0; }
void QueryGuiActivate(GuiObject q) {}
void QueryEditorRemRecord(struct Table *tab, struct Record *rec) {}

struct OrderField;
void GuiChangeOrder(struct Table *tab, struct OrderData *od) {}

void BreakInit(struct BreakSettings *bs) {}
void BreakExit(const struct BreakSettings *bs) {}
void BreakHide(void) {}
void BreakReInit(void) {}
void BreakMessage(const char *str) {}
void BreakSetMaxSteps(ulong steps) {}
void BreakSetCurrentStep(ulong current) {}
void BreakAddCurrentStep(long add) {}
bool BreakCheck(void) { return FALSE; }

void GuiChangeFilter(struct Table *tab) {}
struct SearchFor *GuiSearchFor(struct SearchFor *preset) { return 0; }
void GuiProgOutput(struct Project *pr) {}

void GuiImportRecords(struct Table *tab) {}
void GuiExportRecords(struct Table *tab) {}

GuiObject OpenProgramEditor(struct Project *pr) { return 0; }
void CloseProgramEditor(GuiObject pe) {}
bool ProgramEditorCheckClose(GuiObject obj) { return TRUE; }
void ProgramEditorShowError(struct Project *pr, bool reload,
	const char *error, long line, long col, const char *filename) {}
bool ProgramEditorFix(struct Project *pr) { return false; }
const char *ProgramEditorCompile(GuiObject pe, bool reload,
	struct Program **compiled, long *line, long *col, char **filename)
    { return 0; }
const char *ProgramEditorCreateSourceExternal(GuiObject pe) { return 0; }

bool AskMulti(struct Project *pr, const char *title, const char *oktext,
	struct AskMultiInfo *ami)
{ return FALSE; }

bool AskChoice(struct Project *pr, const char *title, const char *oktext,
        char **labels, const char *titles, bool *selected,
	bool multiselect, bool stringmode, long *index, char **string)
{ return FALSE; }

void GuiSetFormats(struct Project *pr) {}
    
void BuildGuiAddRecord(struct Table *tab, struct Record *rec) {}
void BuildGuiRemRecord(struct Table *tab, struct Record *rec) {}
void FreeProjectGui(struct Project *pr) {}
bool BuildGuiWindow(struct DisplayObject *dio) { return FALSE; }

void UpdateMenu(GuiObject win, bool force) {}

struct DosProcess *SpawnDosProcess(const char *cmdline, bool useShell, 
        bool needRC)
{ return NULL; }
bool DosProcessIsExited(struct DosProcess *process) { return TRUE; }
int DosProcessExitCode(struct DosProcess *process) { return -1; }
void CloseDosProcess(struct DosProcess *process) {}

const char *CodesetInit(void) { return NULL; }
void CodesetExit(void) {}

bool LocaleIsUTF8(void) { return FALSE; }

cschar CodesetGetChar(const char *s) { return 0; }
cschar CodesetGetCharCheck(const char *s) { return 0; }
char *CodesetNextChar(const char *s) { return (char *)(s+1); }
size_t CodesetStrLen(const char *s) { return 0; }
size_t CodesetNCharsToNBytes(const char *s, size_t n) { return 0; }
size_t CodesetNBytesToNChars(const char *s, size_t n) { return 0; }
char *CodesetStrpbrk(const char *s, const char *acpt) { return NULL; }
char *CodesetStrchr(const char *s, cschar c) { return NULL; }
char *CodesetStrrchr(const char *s, cschar c) { return NULL; }

char *CodesetStrNBytesCopy(char *dst, const char *src, size_t nbytes) { return dst; }
char *CodesetTrimStr(char *s) { return s; }
char *CodesetTrimStrChars(char *s, const char *front, const char *back) { return s; }

char *CodesetConvertFromUTF8(const char *in, struct MemPool *memPool, long *e, size_t *warnings) { return NULL; }
char *CodesetConvertFromUTF8AllowTrail(const char *in, struct MemPool *memPool, long *e, size_t *warnings, const char **pend) { return NULL; }
char *CodesetConvertFromLocale(const char *in, struct MemPool *memPool, long *e, size_t *warnings) { return NULL; }
char *CodesetConvertFromLocaleAllowTrail(const char *in, struct MemPool *memPool, long *e, size_t *warnings, const char **pend) { return NULL; }
char *CodesetConvertFromDefault8Bit(const char *in, struct MemPool *m, long *e) { return NULL; }
char *CodesetConvertToUTF8(const char *in, struct MemPool *memPool, long *err) { return NULL; }
char *CodesetConvertToLocale(const char *in, struct MemPool *memPool, long *e, size_t *warnings) { return NULL; }
char *CodesetConvertToDefault8Bit(const char *in, struct MemPool *memPool, long *e, size_t *warnings) { return NULL; }
size_t CodesetUTF8Len(const char *s) { return 0; }
void CodesetWriteUTF8(const char *s, FILE *file) {}
short CodesetCharToStr(cschar c, char *out) { return 0; }

bool CodesetIsAlNum(cschar c) { return FALSE; }
bool CodesetIsDigit(cschar c) { return FALSE; }
bool CodesetIsLower(cschar c) { return FALSE; }
bool CodesetIsPunct(cschar c) { return FALSE; }
bool CodesetIsSpace(cschar c) { return FALSE; }
bool CodesetIsBrkSpace(cschar c) { return FALSE; }
bool CodesetIsXDigit(cschar c) { return FALSE; }

short CodesetDigitValue(cschar c) { return -1; }
short CodesetXDigitValue(cschar c) { return -1; }

cschar CodesetToUpper(cschar c) { return c; }
cschar CodesetToLower(cschar c) { return c; }
char *CodesetStrUp(const char *str, struct MemPool *memPool) { return NULL; }
char *CodesetStrDown(const char *str, struct MemPool *memPool) { return NULL; }

long CodesetStrNCollate(const char *s1, const char *s2, size_t bytes, 
	short collate) { return 0; }
long CodesetStrCollate(const char *s1, const char *s2, short collate) { return 0; }
long CodesetStrCmp(const char *s1, const char *s2) { return 0; }

char *CodesetStrStr(const char *hay, const char *needle) { return NULL; }
char *CodesetStrPBrk(const char *s, const char *accept) { return NULL; }
bool StrIsCodeset(const char *str) { return false; }
bool StrIsUTF8AllowTrail(const char *str, const char **end) { return false; }

